Updates and rollback
Compare the latest available publication
Compare the latest available publication
curl --request GET \
--url https://api.atlan.com/store/v1/installations/{installation_id}/updates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/store/v1/installations/{installation_id}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/store/v1/installations/{installation_id}/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"changes": [
"<string>"
],
"is_update_available": true,
"candidate": {
"actions": [
"<string>"
],
"category": "<string>",
"file_count": 123,
"license": "<string>",
"manifest": {
"actions": [
"<string>"
],
"adapter": "<string>",
"adapter_version": 1,
"components": [
{
"key": "<string>",
"source": {
"artifact_id": "<string>",
"kind": "<string>",
"version_id": "<string>",
"version_ordinal": 123,
"release_id": "<string>"
},
"parent_key": "<string>"
}
],
"format": "<string>",
"root": {
"artifact_id": "<string>",
"kind": "<string>",
"version_id": "<string>",
"version_ordinal": 123,
"release_id": "<string>"
},
"schema_version": 1
},
"name": "<string>",
"policy": {
"audience": {
"is_public": true,
"org_ids": [
"<string>"
]
},
"can_acquire": true,
"generation": 123,
"is_listed": true
},
"publication_id": "<string>",
"publisher_org_id": "<string>",
"sha256": "<string>",
"size_bytes": 123,
"source": {
"kind": "<string>",
"release_id": "<string>",
"artifact_id": "<string>"
},
"store_item_id": "<string>",
"agent_profile": {
"capabilities": [
{
"kind": "<string>",
"name": "<string>"
}
],
"dependencies": [
{
"skill_id": "<string>",
"source_digest": "<string>",
"version_ordinal": 123
}
],
"has_pinned_skills": true,
"max_step_count": 123,
"required_permissions": [
"<string>"
]
},
"artwork": "<string>",
"version_label": "<string>"
},
"current_publication_id": "<string>"
}{
"code": "invalid_id",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "invalid_field",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Compare the latest available publication
curl --request GET \
--url https://api.atlan.com/store/v1/installations/{installation_id}/updates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/store/v1/installations/{installation_id}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/store/v1/installations/{installation_id}/updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"changes": [
"<string>"
],
"is_update_available": true,
"candidate": {
"actions": [
"<string>"
],
"category": "<string>",
"file_count": 123,
"license": "<string>",
"manifest": {
"actions": [
"<string>"
],
"adapter": "<string>",
"adapter_version": 1,
"components": [
{
"key": "<string>",
"source": {
"artifact_id": "<string>",
"kind": "<string>",
"version_id": "<string>",
"version_ordinal": 123,
"release_id": "<string>"
},
"parent_key": "<string>"
}
],
"format": "<string>",
"root": {
"artifact_id": "<string>",
"kind": "<string>",
"version_id": "<string>",
"version_ordinal": 123,
"release_id": "<string>"
},
"schema_version": 1
},
"name": "<string>",
"policy": {
"audience": {
"is_public": true,
"org_ids": [
"<string>"
]
},
"can_acquire": true,
"generation": 123,
"is_listed": true
},
"publication_id": "<string>",
"publisher_org_id": "<string>",
"sha256": "<string>",
"size_bytes": 123,
"source": {
"kind": "<string>",
"release_id": "<string>",
"artifact_id": "<string>"
},
"store_item_id": "<string>",
"agent_profile": {
"capabilities": [
{
"kind": "<string>",
"name": "<string>"
}
],
"dependencies": [
{
"skill_id": "<string>",
"source_digest": "<string>",
"version_ordinal": 123
}
],
"has_pinned_skills": true,
"max_step_count": 123,
"required_permissions": [
"<string>"
]
},
"artwork": "<string>",
"version_label": "<string>"
},
"current_publication_id": "<string>"
}{
"code": "invalid_id",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "invalid_field",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}